> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # List tests GET https://api.elevenlabs.io/v1/convai/agent-testing Lists all agent response tests with pagination support and optional search filtering. Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/tests/list ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Query parameters - `cursor` (string, optional) — Used for fetching next page. Cursor is returned in the response. - `page_size` (integer, optional, default: 30) — How many Tests to return at maximum. Can not exceed 100, defaults to 30. - `search` (string, optional) — Search query to filter tests and folders by name. - `parent_folder_id` (string, optional) — Filter by parent folder ID. Use 'root' to get items in the root folder. - `types` (enum, optional) — If present, the endpoint will return only tests/folders of the given types. - Allowed values: `llm`, `tool`, `simulation`, `folder` - `include_folders` (boolean, optional, deprecated) — Deprecated. Use the `types` query param and include `folder` instead. - `sort_mode` (enum, optional, default: default) — Sort mode for listing tests. Use 'folders_first' to place folders before tests. - Allowed values: `default`, `folders_first` - `sharing_mode` (enum, optional) — Filter test visibility. Use `shared_with_me` to return only tests/folders shared with the current user that they did not create. - Allowed values: `all`, `shared_with_me` ## Response ### 200 Successful Response - `tests` (list of UnitTestSummaryResponseModel, required) - `has_more` (boolean, required) - `next_cursor` (string, optional) ## Errors ### 422 Tests List Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### UnitTestSummaryResponseModel - `id` (string, required) — The ID of the test - `name` (string, required) — Name of the test - `created_at_unix_secs` (integer, required) — Creation time of the test in unix seconds - `last_updated_at_unix_secs` (integer, required) — Last update time of the test in unix seconds - `type` (enum, required) — Type of the test or entity - Allowed values: `llm`, `tool`, `simulation`, `folder` - `access_info` (ResourceAccessInfo, optional) — The access information of the test - `entity_type` (enum, optional, default: test) — The type of entity (test or folder) - Allowed values: `test`, `folder` - `folder_parent_id` (string, optional) — The ID of the parent folder - `folder_path` (list of AgentTestFolderPathSegmentResponseModel, optional) — The folder path segments from root to this entity - `children_count` (integer, optional) — Number of direct children (tests and subfolders) for folders only - `conversation_initiation_source` (enum, optional, default: unknown) — Channel the test simulates the conversation as. Null for folders or default behavior. - Allowed values: `unknown`, `android_sdk`, `node_js_sdk`, `react_native_sdk`, `react_sdk`, `js_sdk`, `python_sdk`, `widget`, `sip_trunk`, `twilio`, `exotel`, `genesys`, `avaya`, `audiocodes`, `swift_sdk`, `whatsapp`, `twilio_sms`, `flutter_sdk`, `zendesk_integration`, `slack_integration`, `telegram_integration`, `intercom_integration`, `freshdesk_integration`, `salesforce_integration`, `template_preview`, `genesys_bot_connector`, `subagent_tool` ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ResourceAccessInfo - `is_creator` (boolean, required) — Whether the user making the request is the creator of the agent - `creator_name` (string, required) — Name of the agent's creator - `creator_email` (string, required) — Email of the agent's creator - `role` (enum, required) — The role of the user making the request - Allowed values: `admin`, `editor`, `commenter`, `viewer` - `anonymous_access_level_override` (enum, optional) — The access level for anonymous users. If None, the resource is not shared publicly. - Allowed values: `admin`, `editor`, `commenter`, `viewer` - `access_source` (enum, optional) — Why the requesting user has access to this resource. 'creator' = caller is the owner. 'explicit' = caller (or one of their workspace groups) is listed in role_to_group_ids beyond the workspace-wide everyone group. 'workspace_default' = the workspace-wide everyone group is listed in role_to_group_ids (every non-anon workspace member, including admins, sees this resource). 'workspace_admin' = caller is a workspace admin and the admin seat is the *only* path to access; reserved for docs nobody else can see. Lets the UI disclose why an admin-bypass viewer sees a doc that wasn't explicitly shared with them. - Allowed values: `creator`, `explicit`, `workspace_admin`, `workspace_default` ### AgentTestFolderPathSegmentResponseModel - `id` (string, required) - `name` (string, optional, default: ) ### ValidationErrorLocItem ## Examples **Response** ```json { "tests": [ { "id": "id", "name": "name", "created_at_unix_secs": 1, "last_updated_at_unix_secs": 1, "type": "llm", "access_info": { "is_creator": true, "creator_name": "John Doe", "creator_email": "john.doe@example.com", "role": "admin", "access_source": "creator" }, "entity_type": "test", "folder_parent_id": "folder_parent_id", "folder_path": [ { "id": "id" } ], "children_count": 1, "conversation_initiation_source": "unknown" } ], "has_more": true, "next_cursor": "next_cursor" } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/convai/agent-testing" querystring = {"cursor":"cursor","include_folders":"true","page_size":"1","parent_folder_id":"parent_folder_id","search":"search","sharing_mode":"all","sort_mode":"default","types":"[\"llm\"]"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/convai/agent-testing?cursor=cursor&include_folders=true&page_size=1&parent_folder_id=parent_folder_id&search=search&sharing_mode=all&sort_mode=default&types=%5B%22llm%22%5D'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/convai/agent-testing?cursor=cursor&include_folders=true&page_size=1&parent_folder_id=parent_folder_id&search=search&sharing_mode=all&sort_mode=default&types=%5B%22llm%22%5D" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/convai/agent-testing?cursor=cursor&include_folders=true&page_size=1&parent_folder_id=parent_folder_id&search=search&sharing_mode=all&sort_mode=default&types=%5B%22llm%22%5D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.elevenlabs.io/v1/convai/agent-testing?cursor=cursor&include_folders=true&page_size=1&parent_folder_id=parent_folder_id&search=search&sharing_mode=all&sort_mode=default&types=%5B%22llm%22%5D") .asString(); ``` ```php request('GET', 'https://api.elevenlabs.io/v1/convai/agent-testing?cursor=cursor&include_folders=true&page_size=1&parent_folder_id=parent_folder_id&search=search&sharing_mode=all&sort_mode=default&types=%5B%22llm%22%5D'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/convai/agent-testing?cursor=cursor&include_folders=true&page_size=1&parent_folder_id=parent_folder_id&search=search&sharing_mode=all&sort_mode=default&types=%5B%22llm%22%5D"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/agent-testing?cursor=cursor&include_folders=true&page_size=1&parent_folder_id=parent_folder_id&search=search&sharing_mode=all&sort_mode=default&types=%5B%22llm%22%5D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.